MagicMirror² v2.13.0 is available! For more information about this release, check out this topic.

mm2 error



  • Hello dear community

    I have the following problems have my mirror had long in the corner and now continue with it

    So I updated everything! all modules and raspi too

    Now show me pm2 log mm

    0|mm       |     at Class.playChime (/home/pi/MagicMirror/modules/MMM-AssistantMk2/node_helper.js:42:10)
    0|mm       |     at Class.prepareActivate (/home/pi/MagicMirror/modules/MMM-AssistantMk2/node_helper.js:135:12)
    0|mm       |     at Class.socketNotificationReceived (/home/pi/MagicMirror/modules/MMM-AssistantMk2/node_helper.js:98:12)
    0|mm       |     at Socket. (/home/pi/MagicMirror/modules/node_modules/node_helper/index.js:113:11) code: 'MODULE_NOT_FOUND' }
    0|mm       | { Error: Cannot find module 'play-sound'
    0|mm       |     at Module._resolveFilename (module.js:543:15)
    0|mm       |     at Function.Module._resolveFilename (/home/pi/MagicMirror/node_modules/electron/dist/resources/electron.asar/common/reset-search-paths.js:35:12)
    0|mm       |     at Function.Module._load (module.js:473:25)
    0|mm       |     at Module.require (module.js:586:17)
    0|mm       |     at require (internal/module.js:11:18)
    0|mm       |     at Class.play (/home/pi/MagicMirror/modules/MMM-AssistantMk2/node_helper.js:24:20)
    0|mm       |     at Class.playChime (/home/pi/MagicMirror/modules/MMM-AssistantMk2/node_helper.js:42:10)
    0|mm       |     at Class.prepareActivate (/home/pi/MagicMirror/modules/MMM-AssistantMk2/node_helper.js:135:12)
    0|mm       |     at Class.socketNotificationReceived (/home/pi/MagicMirror/modules/MMM-AssistantMk2/node_helper.js:98:12)
    0|mm       |     at Socket. (/home/pi/MagicMirror/modules/node_modules/node_helper/index.js:113:11) code: 'MODULE_NOT_FOUND' }
    
    

    I hope you can help me

    I’m sorry about my english google translate 🙂


  • Module Developer

    @timur87
    You’ve failed on installation MMM-AssistantMk2. Read the instruction carefully.



  • only that? I had everything running in the past now I just made updates so I have to adjust something again?



  • 0 info it worked if it ends with ok
    1 verbose cli [ '/usr/bin/node', '/usr/bin/npm', 'start' ]
    2 info using npm@6.2.0
    3 info using node@v9.11.2
    4 verbose run-script [ 'prestart', 'start', 'poststart' ]
    5 info lifecycle magicmirror@2.6.0~prestart: magicmirror@2.6.0
    6 info lifecycle magicmirror@2.6.0~start: magicmirror@2.6.0
    7 verbose lifecycle magicmirror@2.6.0~start: unsafe-perm in lifecycle true
    8 verbose lifecycle magicmirror@2.6.0~start: PATH: /usr/lib/node_modules/npm/node_modules/npm-lifecycle/node-gyp-bin$
    9 verbose lifecycle magicmirror@2.6.0~start: CWD: /home/pi/MagicMirror
    10 silly lifecycle magicmirror@2.6.0~start: Args: [ '-c', 'sh run-start.sh' ]
    11 silly lifecycle magicmirror@2.6.0~start: Returned: code: 1  signal: null
    12 info lifecycle magicmirror@2.6.0~start: Failed to exec start script
    13 verbose stack Error: magicmirror@2.6.0 start: `sh run-start.sh`
    13 verbose stack Exit status 1
    13 verbose stack     at EventEmitter. (/usr/lib/node_modules/npm/node_modules/npm-lifecycle/index.js:304:$
    13 verbose stack     at EventEmitter.emit (events.js:180:13)
    13 verbose stack     at ChildProcess. (/usr/lib/node_modules/npm/node_modules/npm-lifecycle/lib/spawn.js:$
    13 verbose stack     at ChildProcess.emit (events.js:180:13)
    13 verbose stack     at maybeClose (internal/child_process.js:936:16)
    13 verbose stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:220:5)
    14 verbose pkgid magicmirror@2.6.0
    15 verbose cwd /home/pi/MagicMirror
    16 verbose Linux 4.14.79-v7+
    17 verbose argv "/usr/bin/node" "/usr/bin/npm" "start"
    18 verbose node v9.11.2
    19 verbose npm  v6.2.0
    20 error code ELIFECYCLE
    21 error errno 1
    22 error magicmirror@2.6.0 start: `sh run-start.sh`
    22 error Exit status 1
    23 error Failed at the magicmirror@2.6.0 start script.
    23 error This is probably not a problem with npm. There is likely additional logging output above.
    24 verbose exit [ 1, true ]
    
    

  • Module Developer

    Your first error log says just play-sound node module is not installed. It means, you’ve missed or failed npm install step on installation of MMM-AssistantMk2
    Your second error log is somewhat obvious, but I think you have a problem with nodeJS or npm. I cannot assure but you seems to need a clean install of your nodeJS or npm from scratch.


Log in to reply